Returns feed-in and supply values.
Returns the feed-in and supply values for the requested time range (start, end) and aggregation type (type). These values are updated each day. Supply data is available for RLM and SLP customers.
curl --request GET \
--url https://api.lumenaza.de/v3/community/import requests
url = "https://api.lumenaza.de/v3/community/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.lumenaza.de/v3/community/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"timestamp": "2023-12-25",
"feed_in": 123,
"supply": 123,
"self_sufficiency": 123,
"saved_co2": 123
}
]{
"start": [
"input time zone has to be utc"
],
"end": [
"input time zone has to be utc"
],
"type": [
"\"invalid_interval\" is not a valid choice."
]
}Query Parameters
End date time of the requested time period in UTC (excluded). Needs to satisfy end <= start.
Limit for the number of data points to be returned.
x >= 1Start date time of the requested time period in UTC (included).
Type of time periods to be aggregated over. ('alltime' corresponds aggregating over the entire requested interval)
day- dayweek- weekmonth- monthyear- yearalltime- alltime
day, week, month, year, alltime 1Response
Date associated with the requested aggregation type.
Feed-in in kWh (missing values are replaced with 0)
Supply in kWh (missing values are replaced with 0)
Self-sufficiency in %, corresponds to feed-in/supply (for supply=0, self-sufficiency is 0%; for supply=feed-in=0, self-sufficiency is 100%)
Saved CO2 in g (based on supply values and the specific CO2 emission factor published by the BDEW)

